Package com.independentsoft.office.word.tables

# Class CellMerge

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange
com.independentsoft.office.word.tables.CellMerge

All Implemented Interfaces:
  `IContentElement`, `ICellMarkupElement`

public class CellMerge extends TrackChange implements ICellMarkupElement
The Class CellMerge.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.TrackChange

  `author, date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellMerge()`
  Instantiates a new cell merge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellMerge`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `VerticalMergeRevisionType`
  `getRemovedVerticalMergeSetting()`
  Gets the removed vertical merge setting.
  `VerticalMergeRevisionType`
  `getRevisedVerticalMergeSetting()`
  Gets the revised vertical merge setting.
  `void`
  `setRemovedVerticalMergeSetting​(VerticalMergeRevisionType removedVerticalMergeSetting)`
  Sets the removed vertical merge setting.
  `void`
  `setRevisedVerticalMergeSetting​(VerticalMergeRevisionType revisedVerticalMergeSetting)`
  Sets the revised vertical merge setting.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.TrackChange

  `getAuthor, getDate, setAuthor, setDate`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellMerge

    public CellMerge()
    Instantiates a new cell merge.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public CellMerge clone()
    Specified by:
      `clone` in interface `ICellMarkupElement`
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `TrackChange`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRemovedVerticalMergeSetting

    public VerticalMergeRevisionType getRemovedVerticalMergeSetting()
    Gets the removed vertical merge setting.
    Returns:
      the removed vertical merge setting

  - ### setRemovedVerticalMergeSetting

    public void setRemovedVerticalMergeSetting​(VerticalMergeRevisionType removedVerticalMergeSetting)
    Sets the removed vertical merge setting.
    Parameters:
      `removedVerticalMergeSetting` - the new removed vertical merge setting

  - ### getRevisedVerticalMergeSetting

    public VerticalMergeRevisionType getRevisedVerticalMergeSetting()
    Gets the revised vertical merge setting.
    Returns:
      the revised vertical merge setting

  - ### setRevisedVerticalMergeSetting

    public void setRevisedVerticalMergeSetting​(VerticalMergeRevisionType revisedVerticalMergeSetting)
    Sets the revised vertical merge setting.
    Parameters:
      `revisedVerticalMergeSetting` - the new revised vertical merge setting